<style>
    .main_container {
        padding: 143px 0px 0 0 !important;
    }
    
    .personalInfo {
        background: -webkit-linear-gradient(#2195c3, #ef3f3e);
    }
    
    /* hr {
        background-color: #0000006e;
    } */
    .tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}
@media (min-width: 768px){
.form-horizontal .control-label {
    padding-top: 0;
    margin-bottom: 0;
    text-align: right;
}


}
@media (max-width: 769px){
    .mb-wt{
    width: 200% !important;
}
.mb-wt-5{
    width: 50% !important;
}
.mb-ft-10{
    font-size: 10px !important;
}
}
@media (min-width: 768px){
.form-group{
    flex-direction: row!important;
    display: flex!important;
}
}
/* .form-group{
    flex-direction: row!important;
    display: flex!important;
} */
h4{
    font-size: 18px !important;
}
body{
    font-size: 14px !important;
}
.form-control{
    /* font-size: 14px !important; */
}
.lobibox-body{
		width: 100% !important;
	}
</style>

<link rel="stylesheet" href="css/pagesCss/userView.css"></link>

<div class="container borderClass mrgTop" style="    margin-top: 153px; line-height: 3;" ng-app="ouaApp" >
    <div class="row">
        <!-- LEFT CONTENT-->
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 panel-body">
            <div class="row">
                <div id="Bookings" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 tripsTab padding10">
                    <span class="fa fa-book fa-lg pad5 red"></span><a ui-sref="user" class="titleName dark "><b>Bookings</b></a>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="tabcss" tabindex="4" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 tripsTab padding10">
					<span class="fa fa-book fa-lg pad5 red"></span><a ui-sref="transaction" class="titleName dark "><b>My Transactions</b></a>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="Travellers" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 travellersTab padding10">
                    <span class="fa fa-users fa-lg pad5 red"></span><a href="#!/traveller" class="titleName dark"><b>Travellers</b></a>
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="reset" style="background-color: #398bb4;" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10">

                    <span class="fa fa-user fa-lg pad5 red"></span><a href="#!/profile" class="titleName dark"><b style="color: white;">Profile</b></a>
                </div>
                <!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div> -->
                <!-- <div id="signOut" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10 mousePointer">
							<span class="fa fa-lock fa-lg pad5 red"></span><a ng-click="changePwd('md');" class="titleName dark"><b>Change Password</b></a>
						</div> -->
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div>
                <div id="Reports" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10" ng-show="roleId == '463'||roleId == '694' || roleId == '705'">
                    <span class="fa fa-list fa-lg pad5 red"></span><a ui-sref="report" class="titleName dark"><b>All Booking</b></a>
                </div>
                <!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div> -->
                <!-- <div id="Reports" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10">
							<span class="fa fa-list fa-lg pad5 red"></span><a ui-sref="reportAll" class="titleName dark"><b>All Reports</b></a>
						</div>
						<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div> -->


                <!-- <div id="Profile" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 profileTab padding10 mousePointer">
							<span class="fa fa-sign-out fa-lg pad5 red"></span><a ng-click="logOut();" class="titleName dark"><b>Logout</b></a>
						</div> -->
                <!-- <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 line2"></div> -->

            </div>
            <div class="clearfix"></div>
        </div>
        <!-- end -->

        <!-- Right CONTENT-->
        <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 mb-5 mt-2 borderOverRide">
            <div class="row  border-secondary" id="profileModule" ng-init="getProfileData">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
                    <form class="form-horizontal" name="profileForm" id="profileForm" ng-submit="ownProfileUpdate(profileForm.$invalid);">
                        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 personalInfo">
                            <div class="form-group mt-2 d-flex flex-row">
                                <div class="col-xs-5 col-sm-5 col-md-3 ml-3 col-lg-2 mt-4 bck-btn   ">
                                    <img alt="profile image" src="images/no-avatar.jpg" />
                                </div>
								
										<div class="col-xs-4 col-sm-4 col-md-4 col-lg-3 mt-2">
									<div style="margin-bottom:15px;">
										<label class="control-label offset-2">
											<span class="star"  style="color: white">Title</span>:
										</label>
										<div class="col-xs-12 col-sm-10 col-md-10 col-lg-10">
										
                                            <select  id="profile_title" name="profile_title" class="form-control required" required="" ng-model="profileInfoData.salutation" ng-options="salutation.value as salutation.label for salutation in salutationData">
											<!-- 	<option value="">Select</option>
                                     
                                       <option value="{{salutation.value}}" ng-repeat="salutation in salutationData">{{salutation.value}}</option> -->
                                     </select>
										   
									 
										
										
										</div>
									</div>
								</div>
								
								
									<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 mt-2">
									<div>
										<label class="control-label trvlfulnmtile offset-2">
											<span class="star" style="color: white">Full Name</span>:
										</label>
										<div class="clearfix"></div>
										<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0 d-flex flex-row">
											<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 mb10 frstnmetrvlr">
												  <input type="text" maxlength="100" minlength="3" onkeyup="this.value = this.value.charAt(0).toUpperCase() + this.value.slice(1);" placeholder="First Name" name="first-name" id="first-name" required="" class="form-control required fstnmtrel" id="profile_fname" ng-model="profileInfoData.firstName"
                                                />
											</div>
											<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 lstnmtrvelr">
												  <input type="text" maxlength="100" minlength="3" onkeyup="this.value = this.value.charAt(0).toUpperCase() + this.value.slice(1);" placeholder="Last Name" name="last-name" id="last-name" required="" class="form-control required ltstrvle" id="profile_lname" ng-model="profileInfoData.lastName"
                                                />
											</div>
										</div>
									</div>
								</div>
                            
                         
                            </div>
                        </div>
                        <hr class="col-xs-11 col-sm-11 col-md-11 col-lg-11 offset-0 ml-4">
                        <h4 class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0">Contact Details</h4>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">E-mail ID: </label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-6">
                                <input type="email"  id="profile_email" placeholder="Email Id" disabled class="form-control" ng-model="profileInfoData.userEmail" maxlength="100" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-12 col-md-4 col-lg-4">
								<span class="star">Mobile Number</span>:
							</label>
                            <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 d-flex flex-row">
                                <div class="col-xs-5 col-sm-5 col-md-5 col-lg-4 offset-0 pl-0">
                                    <select class="form-control" name="profile_country" id="profile_country" required="" ng-model="profileInfoData.countryCode">
										
										   <option value="">Select</option>
                                       <!-- <option value="IN">India</option>
                                       <option value="DB">Dubai</option> -->
                                       <option value="{{ccode.name}}" ng-repeat="ccode in countrycode">{{ccode.name}}-{{ccode.code}}</option>
									
									</select>
                                </div>
                                <div class="col-xs-8 col-sm-8 col-md-7 col-lg-5 offset-1 ml-0">
                                    <input type="text" maxlength="20" value="" id="profile_mobile" required="" class="form-control required"   name="profile_mobile" ng-model="profileInfoData.mobileNo" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Address:</label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-6">
                                <textarea maxlength="120" placeholder="Address" class="form-control" rows="3" id="profile_address" name="profile_address" style="margin-bottom:1rem;" ng-model="addressObj.address"></textarea>
                                
                                <div class="row" style="margin-bottom: 1rem;">
                                    <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                                        <input type="text" maxlength="25" placeholder="City" class="form-control" id="profile_city" name="profile_city" maxlength="100" ng-model="addressObj.city" />
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                                        <!-- <select class="form-control" id="profile_state">
											<option value="">-Select---</option>
										</select> -->
                                        <input type="text" placeholder="State" class="form-control" id="profile_state" name="profile_state" maxlength="50" ng-model="addressObj.state" />
                                    </div>
                                </div>
                                
                                <div class="row">
                                    <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                                        <input type="text" maxlength="10" placeholder="Zip code" id="profile_zipCode" name="profile_zipCode" class="form-control number" ng-model="addressObj.zipcode" />
                                    </div>
                                    <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
                                        <select class="form-control" name="profile_country" id="profile_country" placeholder="Country" ng-model="addressObj.country" ng-options="country.code as country.name for country in countryResult.data">
										<option value="">Country of Residence</option>
									</select>
                                    </div>
                                
                                </div>
                            </div>
                        </div>
                        <hr class="row">
                        <h4 class="">General Information</h4>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-6 col-lg-4 star">	<span class="star">Date of Birth</span>:</label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-4">
                                <input type="date" class="form-control required mySelectCalendar" required="" onkeydown="return false" name="datepicker1" ng-change="dateChangeFunction();" max="{{dobMinDate | date:'yyyy-MM-dd'}}" id="datepicker1" autocomplete="off" placeholder="dd-mm-yyyy" ng-model="profileInfoData.dateOfBirth" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-6 col-lg-4">Gender:</label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-4">




                                <select class="form-control" name="profile_country" id="profile_country" placeholder="Country" ng-model="profileInfoData.gender">
										<option value="">select</option>
                                        <option value="M">Male</option>
                                        <option value="F">Female</option>
																
								</select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-6 col-lg-4">Passport No:</label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-4">
                                <input type="text" name="profile_passport" id="profile_passport" class="form-control passport1 required"  ng-model="profileInfoData.passportNo" autocomplete="off" onkeypress="return checkSpcialChar(event)" maxlength="100" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-sm-4 col-md-6 col-lg-4 star"><span class="star">Nationality</span>:</label>
                            <div class="col-xs-12 col-sm-8 col-md-6 col-lg-4">
                                <select class="form-control required" required="" name="profile_nationality" id="profile_nationality" ng-model="profileInfoData.nationality" ng-options="nation.code as nation.name for nation in nationalityResult">
									<!-- <option value="">-Select-</option> -->
                                    <option value="">Select</option>
								</select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-xs-12 col-md-4 col-sm-4 col-lg-4"><span class="">Passport Issue Date.</span>:</label>

                            <div class="col-md-6 col-xs-12 col-sm-8">
                                <input type="date" name="travellerDob" onkeydown="return false" min="{{passportMinDate | date:'yyyy-MM-dd'}}" class="form-control borderRads travellerIssuedate mySelectCalendar" autocomplete="off" placeholder="dd-mm-yyyy" ng-model="profileInfoData.passportIssueDate" />

                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-4 col-sm-4"><span class="">Passport Issuing Govt.</span></label>

                            <div class="col-md-6 col-xs-12 col-sm-8">
                                <select id="apigt_{{$index}}" name="apigt_{{$index}}" class="form-control passportissueinggovt mySelectBoxClass" ng-disabled="adult.readonly" ng-model="profileInfoData.passportIssueGovt">
                                    <option value="">Select</option>
											<option  value="{{nation.code}}" ng-repeat="nation in nationalityResult">{{nation.name | uppercase}}</option>
										</select>
                            </div>

                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-4 col-sm-4"><span class="">Passport Expiry Date.</span>:</label>

                            <div class="col-md-6 col-xs-12 col-sm-8 ">
                                <input type="date" name="travellerDob" ng-required="profileInfoData.passportNo != ''" min="{{minDate | date:'yyyy-MM-dd'}}" class="form-control borderRads travellerexpireDate mySelectCalendar required"  autocomplete="off" placeholder="dd-mm-yyyy" ng-model="profileInfoData.passportExpiryDate" />
                            </div>

                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-4 col-sm-4"> Relationship.</label>

                            <div class="col-md-6 col-xs-12 col-sm-8 ">

                                <select name="relationshipdown" id="relationshipdown" class="form-control" ng-model="profileInfoData.parentRelation">
														<option value="">Select</option>
														<option  value="{{relation.code}}" ng-repeat="relation in relationshipList">{{relation.name | uppercase}}</option>
													</select>
                            </div>


                        </div>



                        <!-- <div class="form-group">
                            <label class="control-label col-md-4 col-sm-4">Country of residence.</label>


                            <div class="col-md-6 col-xs-12 col-sm-8 ">

                                <select name="countryDropdown" id="countryDropdown" class="form-control" ng-model="profileInfoData.countryResidence">
														<option value="">Select</option>
														<option  value="{{country.code}}" ng-repeat="country in countryList">{{country.name | uppercase}}</option>
													</select>
                            </div>

                        </div> -->
                        <div class="form-group">
                            <label class="control-label col-xs-10 col-lg-4 col-md-9 col-sm-12"><span class="" style="line-height: 2;">Preferred Language of Communication 1 .</span> </label>


                            <div class="col-md-9 col-xs-12 col-lg-6 col-sm-10 ">
                                <select id="travellerPlcone" name="travellerPlcone" class="form-control travellerPlcone mySelectBoxClass" ng-model="profileInfoData.languagePref1">
													<option value="">Select</option>
													<option  value="{{language.code}}" ng-repeat="language in PreferedLanguage">{{language.name | uppercase}}</option>
												</select>
                            </div>


                        </div>

                        <div class="form-group">
                            <label class="control-label col-xs-10 col-lg-4 col-md-9 col-sm-12"><span class="" style="line-height: 2;"> Preferred Language of Communication 2 .</span></label>


                            <div class="col-md-9 col-xs-12 col-lg-6 col-sm-10">
                                <select id="travellerPlctwo" name="travellerPlctwo" class="form-control travellerPlctwo mySelectBoxClass" ng-model="profileInfoData.languagePref2">
													<option value="">Select</option>
													<option  value="{{language.code}}" ng-repeat="language in PreferedLanguage">{{language.name | uppercase}}</option>
												</select>
                            </div>


                        </div>

                        <!-- <div class="form-group">
                            <label class="control-label col-md-4 col-sm-4"><span class="">Airlines</span></label>


                            <div class="col-md-6 col-xs-12 col-sm-8 ">
                                <input type="text" ng-change="autoAirlines(profileInfoData.airline);" uib-typeahead="airline as airline.Title for airline in airlines | filter:$viewValue | limitTo:8" autocomplete="off"  class="form-control borderRads travellerexpireDate mySelectCalendar required"
                                    autocomplete="off" ng-model="profileInfoData.airline" />
                            </div>


                        </div> -->




                        <hr class="row">
                        <h4 class=""> Preference Details only for flights</h4>
                        <div class="form-group">
                            <label class="control-label col-md-4 col-sm-12">Meal Preference:</label>

                            <div class="col-md-6 col-xs-12 col-sm-8 ">
                                <select id="profile_mealPreference" name="profileMealPreference" class="form-control  mySelectBoxClass" ng-model="customer.custPrefType">
									<option value="">Select</option>
									<option value="{{meal.code}}" ng-repeat="meal in mealList">{{meal.name | uppercase}}</option>
							</select>


                            </div>
                            <div class="col-md-2 col-xs-12 col-sm-2 ">
                                <button type="button" class="btn btn-xs info-icon" data-toggle="tooltip" style="background-color: white;
                                font-size: 20px;
                                margin-left: -30px;
                                margin-top: 9px;
                                outline: none;"
                                data-placement="right" 
                                title=" The request shall be submitted to the Airlines. Please contact our call centre or the Airlines for confirmation">
                                <i class="las la-info-circle text-black"></i>
                            </button>
                            
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-4 col-sm-12">Seat Preference:</label>

                            <div class="col-md-6 col-xs-12 col-sm-8 ">

                                <select id="profile_seatPreference" name="profileSeatPreference" class="form-control  mySelectBoxClass" ng-model="traveller.custPrefType">
									<option value="">Select</option>
									<option  value="{{seat.code}}" ng-repeat="seat in seatList">{{seat.name | uppercase}}</option>
							</select>

                            </div>
                            <div class="col-md-2 col-xs-12 col-sm-2 ">
                                <button type="button" class="btn btn-xs info-icon" data-toggle="tooltip" style="background-color: white;
                                font-size: 20px;
                                margin-left: -30px;
                                margin-top: 9px;
                                outline: none;"
                                data-placement="right" 
                                title=" The request shall be submitted to the Airlines. Please contact our call centre or the Airlines for confirmation">
                                <i class="las la-info-circle text-black"></i>
                            </button>
                            
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="control-label col-xs-12 col-sm-12 col-md-7 col-lg-4 pr-2">Frequent Flyer No:</label>
                            <div class="col-xs-12 col-sm-9 col-md-10 col-lg-7 d-flex flex-row">
                                <div class="col-xs-4 col-sm-5 col-md-5 col-lg-5 offset-0 pl-1">
                                    <input type="text" name="profile_airline" class="form-control text-uppercase" id="profile_airline" ng-model="airlineName" placeholder="Airline Name" ng-change="autoAirlines(airlineName);" uib-typeahead="airline as airline.Title for airline in airlines | filter:$viewValue | limitTo:8"
                                        autocomplete="off" aria-expanded="true" />
                                    <input type="hidden" id="profileAirlineCode" ng-model="profile_AirlineCode" />
                                </div>
                                <div class="col-xs-4 col-sm-5 col-md-5 col-lg-5 mb10">
                                    <input type="text" name="profile_flyerNo" maxlength="30" class="form-control" placeholder="F.F No" id="profile_flyerNo" ng-model="airCodes" 
                                        autocomplete="off" />
                                </div>
                                <div class="col-xs-2 col-sm-2 col-md-2 col-lg-3 offset-0 mb10">
                                    <button class="applyBtn btn btn-sm btn-success add-btn row" id="addFrequentFlyer" type="button" ng-click="addFrequentFlyer();">Add &nbsp; <i class="fa fa-plus-square"></i>
						</button>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 offset-4">
                                <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0">
                                    <label ng-show="freqflyerlist.length != 0"><u>Airlines</u></label>
                                </div>
                                <div id="ffDtlGrid" ng-show="freqflyerlist.length != 0">
                                    <table class="table table-striped" style="margin-left:2%; margin-bottom:0px; font-size: 12px;">
                                        <tbody>
                                            <tr ng-repeat="frequentflyer in freqflyerlist">
                                                <td><img width="25px" src="images/Airlines/sm{{frequentflyer.airline}}.png" alt="image" /><span style="width: 150px; display: inline-block;" class="ml-2">{{frequentflyer.orgarlinename}}</span></td>
                                                <td>{{frequentflyer.airline}}</td>
                                                <td>{{frequentflyer.ffNo}}</td>
                                                <td><i class="fa fa-times communication-close closeBtn" ng-click="removeFrequentFlyer(frequentflyer);"></i></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <!-- 	<div id="ffDtlGrid" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" ng-show="freqflyerlist.length != 0">
									<div class="row size12" ng-repeat="frequentflyer in freqflyerlist">
										<div class="col-xs-7 col-sm-6 col-md-6 col-lg-6">
											<img width="25px" src="app/images/Airlines/sm{{frequentflyer.ffairline}}.png" alt="image" />
											<span>{{frequentflyer.ffairlinename}}</span>
										</div>
										
										<div class="col-xs-4 col-sm-5 col-md-5 col-lg-5">{{frequentflyer.ffnumber}}</div>
										<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 offset-0">
											<i class="fa fa-times communication-close closeBtn" ng-click="removeFrequentFlyer(frequentflyer);"></i>
										</div>
									</div>
								</div> -->
                            </div>
                        </div>
                        <!-- <hr class="row">
						<h4 class="">Communication Details</h4>
						<div class="form-group">
							<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Contact Type:</label>
							<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7">
								<div class="col-xs-5 col-sm-5 col-md-5 col-lg-5 offset-0">
									<select class="form-control required" id="profileContactType">
										<option value="">-Select-</option>
										<option value="MO">Mobile</option>
										<option value="PO">TELEPHONE OFFICE</option>
										<option value="PH">TELEPHONE HOME</option>
										<option value="EP">Email Personal</option>
										<option value="EO">Email Office</option>
									</select>
								</div>
								<div class="col-xs-7 col-sm-7 col-md-5 col-lg-5 mb10">
									<input type="text" name="contactValue" maxlength = "100" class="form-control" id="profileContactValue" placeholder="value"/>
								</div>
								<div class="col-xs-6 col-sm-8 col-md-2 col-lg-2 offset-0 mb10">
									<button class="btn btn-primary" id="addCommunication" type="button" ng-click="addCommunication();">Add  &nbsp; <i class="fa fa-plus-square"></i>
									</button>
								</div>
							</div>
							
							<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 col-sm-offset-4 col-md-offset-4 col-lg-offset-4">
								<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0" id="phoneLabel">
									<label ng-show="phonenumbers.length != 0"><u>Phone Number</u></label>
								</div>
								<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" id="phoneGrid" ng-show="phonenumbers.length != 0">
									<div class="row size12" ng-repeat="phonenumber in phonenumbers">
										<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2">{{phonenumber.type}}</div>
										<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">{{phonenumber.commValue}}</div>
										<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 offset-0">
											<i class="fa fa-times communication-close closeBtn" ng-click="removePhoneNumbers(phonenumber);"></i>
										</div>
									</div>
								</div>
							</div>
						</div> -->
                        <hr class="row">
                        <h4 class="">Communication Details</h4>
                        <div class="form-group row">
                            <label class="control-label col-md-7 col-lg-4">Contact Type:</label>
                            <div class="col-md-12 col-sm-12 col-lg-8 col-xs-12 mb10 d-flex flex-row pl-0">
                                <div class="col-md-4 col-sm-4 col-xs-4 padLeft pl-3">


                                    <select id="profileContactType" name="profilecommunication" ng-change="communicationMobile(communication);" class="form-control  mySelectBoxClass" ng-model="communication">
									<option value="">Select</option>
									<option  value="{{communication.code}}" ng-repeat="communication in communicationListList">{{communication.name | uppercase}}</option>
								</select>




                                </div>
                                <div ng-show="mobileCountryCode==true" class="col-xs-5 col-sm-5 col-md-3 col-lg-3 offset-0 pl-0">
							
                                    <select class="form-control"  name="profileContactValuecode" id="profileContactValuecode"
                                    
                                      placeholder="ISD"   >
                                    
                                    <option value="">Select</option>
                                    <option value="{{ccode.name}}" ng-repeat="ccode in countrycode">{{ccode.name}}-{{ccode.code}}</option>
                                    
                                    
                                    </select>
                                        
                                    
                                    
                                </div>
                                <div class="col-md-4 col-xs-4 padLeft">
                                    <input type="text" name="profileContactValue" maxlength="100" class="form-control" id="profileContactValue" placeholder="value" />
                                </div>

                                <div class="col-md-3 col-xs-2">
                                    <button class="applyBtn btn btn-sm btn-primary add-btn row" id="addCommunicationProfile" type="button" ng-click="addCommunicationProfile();">Add  &nbsp; <i class="fa fa-plus-square"></i>
												</button>
                                </div>
                            </div>
                            <div class="col-md-7 col-xs-12 col-md-offset-4">
                                <!-- <div id="emailLabel" style="margin-left: 1%; margin-bottom: 1%; ">
												<label style="font-weight: bold;" ng-show="emails.length != 0"><u>Email</u></label>
											</div> -->
                                <!-- <div id="emailGrid" ng-show="emails.length != 0">
												<table class="table table-striped" style="padding: 6px; font-size: 12px; margin-bottom: 10px;">
													<tbody>
														<tr ng-repeat="email in emails">
															<td>{{email.type}}</td>
															<td>{{email.commValue}}</td>
															<td><i class="fa fa-times communication-close closeBtn" ng-click="removeEmails(email);"></i></td>
														</tr>
													</tbody>
												</table>
											</div> -->
                            </div>
                            <div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 offset-4 pl-0 m-bot">
                                <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0" id="emailLabel">
                                    <label ng-show="emails.length != 0"><u>Email</u></label>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" id="emailGrid" ng-show="emails.length != 0">
                                    <div class="row size12" ng-repeat="email in emails">
                                        <div class="col-xs-2 col-sm-2 col-md-2 col-lemailg-2" ng-show="email.type='7' ||'8'">E.mail</div>
                                        <div class="col-xs-8 col-sm-8 col-md-8 col-lg-8">{{email.commValue}}</div>
                                        <div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 offset-0 text-center">
                                            <i class="fa fa-times communication-close closeBtn" ng-click="removeEmails(email);"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 offset-4 pl-0 m-bot">
                                <div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0" id="phoneLabel">
                                    <label ng-show="phonenumbers.length != 0"><u>Phone Number</u></label>
                                </div>
                                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" id="phoneGrid" ng-show="phonenumbers.length != 0">
                                    <div class="row size12" ng-repeat="phonenumber in phonenumbers">
                                        <div class="col-xs-2 col-sm-2 col-md-2 col-lg-2"ng-show="phonenumber.type=='9' || '10' || '11'">Mobile</div>
                                        <div class="col-xs-8 col-sm-8 col-md-8 col-lg-2">{{phonenumber.countryCode}}</div>
                                        <div class="col-xs-8 col-sm-8 col-md-8 col-lg-6">{{phonenumber.commValue}}</div>
                                        <div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 offset-0 text-center">
                                            <i class="fa fa-times communication-close closeBtn" ng-click="removePhoneNumbers(phonenumber);"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-xs-12 col-sm-11 col-md-12 col-lg-12 text-center">
                                <button type="submit" id="profile_save" class="btn btn-primary">Update Profile</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- end right -->
    </div>
</div>

<script type="text/javascript">
    function checkSpcialChar(event){
       if(!((event.keyCode >= 65) && (event.keyCode <= 90) || (event.keyCode >= 97) && (event.keyCode <= 122) || (event.keyCode >= 48) && (event.keyCode <= 57))){
          event.returnValue = false;
          return;
       }
       event.returnValue = true;
    }
 </script>